This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 722691

Summary: udev-172-1.fc16 creates /dev/fuse with mode 0600
Product: [Fedora] Fedora Reporter: Tom London <selinux>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: aquini, gansalmon, harald, hicham.haouari, itamar, jonathan, jwboyer, kay, kernel-maint, lemenkov, madhu.chinakonda, tcallawa
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-08-07 13:12:05 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Tom London 2011-07-16 12:42:55 EDT
Description of problem:
Starting recently, cryptkeeper no longer starts on my Rawhide system, displaying a window with the above text.

Also says "Check that fuse is installed and that you are a member of the fuse group."

Hadn't seen this behavior before....

Version-Release number of selected component (if applicable):
cryptkeeper-0.9.5-2.fc15.x86_64

How reproducible:
every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2011-07-16 13:20:29 EDT
Versions of fuse, etc.:

[tbl@tlondon ~]$ rpm -qa \*fuse\* \*encfs\*
glusterfs-fuse-3.2.1-3.fc16.x86_64
fuse-encfs-1.7.4-1.fc16.x86_64
fuse-libs-2.8.5-5.fc16.x86_64
fuse-2.8.5-5.fc16.x86_64
gvfs-fuse-1.9.1-1.fc16.x86_64
fuse-debuginfo-2.8.5-5.fc16.x86_64
[tbl@tlondon ~]$
Comment 2 Tom London 2011-07-16 13:22:44 EDT
BTW, "followed instructions" and created fuse group and added myself to it, but no change: fails the same way.
Comment 3 Tom London 2011-07-16 13:25:31 EDT
A bit more:

[tbl@tlondon ~]$ encfsctl info ~/.FileVault_encfs

Version 6 configuration; created by EncFS 1.6 (revision 20100713)
Filesystem cipher: "ssl/aes", version 2:2:0 (using 3:0:2)
Filename encoding: "nameio/block", version 3:0:0 (using 3:0:1)
Key Size: 256 bits
Using PBKDF2, with 589799 iterations
Salt Size: 160 bits
Block Size: 1024 bytes, including 8 byte MAC header
Each file contains 8 byte header with unique IV data.
Filenames encoded using IV chaining mode.
File data IV is chained to filename IV.
File holes passed through to ciphertext.

[tbl@tlondon ~]$
Comment 4 Tom London 2011-07-25 10:25:21 EDT
This appears to be caused by 600 perms on /dev/fuse:

[tbl@tlondon src]$ ls -l /dev/fuse
crw-------. 1 root root 10, 229 Jul 25 06:05 /dev/fuse
[tbl@tlondon src]$ 

If I chmod /dev/fuse to 666, cryptkeeper works:

[root@tlondon ~]# ls -l /dev/fuse
crw-rw-rw-. 1 root root 10, 229 Jul 25 06:05 /dev/fuse
[root@tlondon ~]# 

Similarly, if I change perms of /dev/fuse to

[root@tlondon ~]# ls -l /dev/fuse
crw-rw----. 1 root fuse 10, 229 Jul 25 07:11 /dev/fuse
[root@tlondon ~]# 

it also works (since I added myself to the fuse group).

Any idea what this should be "really set to" (and what made it change recently)?

For completeness, listing version of a few system related packages:

systemd-30-1.fc16.x86_64
kernel-3.0.0-1.fc16.x86_64

/etc/udev/rules.d/99-fuse.rules says:

[root@tlondon rules.d]# cat 99-fuse.rules 
KERNEL=="fuse", MODE="0666",OWNER="root",GROUP="root"
[root@tlondon rules.d]# 

but I'm guessing it is not effective.

Should this be reassigned to fuse?
Comment 5 Tom London 2011-07-27 09:45:15 EDT
Reassigning to fuse.  Please 'forward' if I'm guessing wrong....
Comment 6 Peter Lemenkov 2011-07-27 09:56:39 EDT
Don't know anything about cryptkeeper but I also was hit by this (0600 for /dev/fuse) in F-16, so I'm confirming this issue.
Comment 7 Tom London 2011-07-27 12:28:17 EDT
If I understand the output of 'udevadm', fuse is not 'known' to udev:

[root@tlondon system]# udevadm info --name=fuse --query=all
device node not found
[root@tlondon system]# ls -l /dev/fuse
crw-------. 1 root root 10, 229 Jul 27 06:35 /dev/fuse
[root@tlondon system]# 

On the other hand, udev appears to know about kvm:

[root@tlondon system]# udevadm info --name=kvm --query=all
P: /devices/virtual/misc/kvm
N: kvm
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/misc/kvm
E: MAJOR=10
E: MINOR=232
E: DEVNAME=/dev/kvm
E: SUBSYSTEM=misc
E: TAGS=:udev-acl:uaccess:seat:
Comment 8 Tom London 2011-07-27 14:07:50 EDT
Booting an older kernel "makes this work for me":

[root@tlondon ~]# uname -a
Linux tlondon.localhost.org 3.0-0.rc6.git6.1.fc16.x86_64 #1 SMP Sun Jul 10 16:00:07 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
[root@tlondon ~]# ls -l /dev/fuse
crw-rw-rw-. 1 root root 10, 229 Jul 27 10:58 /dev/fuse
[root@tlondon ~]# 

and cryptkeeper starts/works.

udev now seems to be aware of fuse:

[root@tlondon ~]# udevadm info --name=fuse --query=all
P: /devices/virtual/misc/fuse
N: fuse
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/misc/fuse
E: MAJOR=10
E: MINOR=229
E: DEVNAME=/dev/fuse
E: SUBSYSTEM=misc

[root@tlondon ~]# 

Doesn't work when booting kernel-3.0.0-1.fc16.x86_64 (i.e., /dev/fuse has mode 600, etc.).

Something in the kernel change vis a vis fuse?
Comment 9 Tom London 2011-07-27 19:18:02 EDT
A bit more info:

/dev/fuse gets labeled properly & cryptkeeper works OOTB with kernel-3.0-0.rc6.git6.1.fc16.x86_64, but fails with kernel-3.0-0.rc7.git0.1.fc16.x86_64.
Comment 10 Tom London 2011-07-28 09:19:24 EDT
Changing title, reassigning to kernel.

Please reassign if this is not correct.
Comment 11 Josh Boyer 2011-07-28 12:41:49 EDT
What version of udev do you have?  I can't seem to recreate the permissions issue on an updated F16 as of this morning:

[jwboyer@localhost ~]$ rpm -q systemd kernel udev
systemd-30-1.fc16.x86_64
kernel-2.6.38.8-35.fc15.x86_64
kernel-3.0.0-1.fc16.x86_64
udev-172-2.fc16.x86_64
[jwboyer@localhost ~]$ uname -a
Linux localhost.localdomain 3.0.0-1.fc16.x86_64 #1 SMP Fri Jul 22 16:09:29 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
[jwboyer@localhost ~]$ ls -l /dev/fuse 
crw-rw-rw-. 1 root root 10, 229 Jul 28 12:28 /dev/fuse
[jwboyer@localhost ~]$ udevadm info --name fuse --query=all
P: /devices/virtual/misc/fuse
N: fuse
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/misc/fuse
E: MAJOR=10
E: MINOR=229
E: DEVNAME=/dev/fuse
E: SUBSYSTEM=misc

[jwboyer@localhost ~]$
Comment 12 Josh Boyer 2011-07-28 12:48:19 EDT
Also, do you have the fuse module actually loaded?  I see the permissions issues when the fuse module isn't loaded, but if I modprobe fuse, udev seems to work fine and adjust them accordingly.
Comment 13 Tom London 2011-07-28 14:30:37 EDT
(In reply to comment #11)
> What version of udev do you have?  I can't seem to recreate the permissions
> issue on an updated F16 as of this morning:
> 
> [jwboyer@localhost ~]$ rpm -q systemd kernel udev
> systemd-30-1.fc16.x86_64
> kernel-2.6.38.8-35.fc15.x86_64
> kernel-3.0.0-1.fc16.x86_64
> udev-172-2.fc16.x86_64
> [jwboyer@localhost ~]$ uname -a
> Linux localhost.localdomain 3.0.0-1.fc16.x86_64 #1 SMP Fri Jul 22 16:09:29 UTC
> 2011 x86_64 x86_64 x86_64 GNU/Linux
> [jwboyer@localhost ~]$ ls -l /dev/fuse 
> crw-rw-rw-. 1 root root 10, 229 Jul 28 12:28 /dev/fuse
> [jwboyer@localhost ~]$ udevadm info --name fuse --query=all
> P: /devices/virtual/misc/fuse
> N: fuse
> E: UDEV_LOG=3
> E: DEVPATH=/devices/virtual/misc/fuse
> E: MAJOR=10
> E: MINOR=229
> E: DEVNAME=/dev/fuse
> E: SUBSYSTEM=misc
> 
> [jwboyer@localhost ~]$

I'll check tonight when I get home, but I believe udev is current rawhide.
Comment 14 Tom London 2011-07-28 22:36:23 EDT
[root@tlondon ~]# ls -l /dev/fuse
crw-------. 1 root root 10, 229 Jul 28 19:27 /dev/fuse
[root@tlondon ~]# lsmod | grep fuse
[root@tlondon ~]# modprobe fuse
[root@tlondon ~]# lsmod | grep fuse
fuse                   70196  1 
[root@tlondon ~]# ls -l /dev/fuse
crw-rw-rw-. 1 root root 10, 229 Jul 28 19:30 /dev/fuse
[root@tlondon ~]# 

So fuse module not actually loaded, and manually loading it caused udev trigger.

Regarding version of udev, I tried both udev-172-1.fc16.x86_64 and udev-172-2.fc16.x86_64.

[root@tlondon ~]# rpm -q systemd kernel udev
systemd-30-1.fc16.x86_64
kernel-3.0-0.rc6.git6.1.fc16.x86_64
kernel-3.0-0.rc7.git0.1.fc16.x86_64
kernel-3.0-0.rc7.git3.1.fc16.x86_64
kernel-3.0.0-1.fc16.x86_64
udev-172-2.fc16.x86_64
[root@tlondon ~]# 

With this 'setup', booting with kernel-3.0-0.rc6.git6.1.fc16.x86_64 "works", while booting with anything later does not.

The above was run with:

[root@tlondon ~]# uname -a
Linux tlondon.localhost.org 3.0.0-1.fc16.x86_64 #1 SMP Fri Jul 22 16:09:29 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
[root@tlondon ~]# 

Is there something I'm supposed to do to get the fuse module 'automagically' loaded?
Comment 15 Tom London 2011-07-28 22:54:23 EDT
I downloaded systemd-32-1.fc16.x86_64 from koji, installed and rebooted.

Still no fuse module loaded:

[root@tlondon ~]# lsmod | grep fuse
[root@tlondon ~]# 

And /dev/fuse still restrictively permed:

[root@tlondon ~]# ls -l /dev/fuse
crw-------. 1 root root 10, 229 Jul 28 19:47 /dev/fuse
[root@tlondon ~]#
Comment 16 Josh Boyer 2011-07-29 12:15:09 EDT
A couple things.  I can't install cryptkeeper because there are broken deps in the boost things, so I'm trying to recreate this via sshfs.  I installed 3.0-0.rc6.git6.1.fc16.x86_64 and rebooted, and sshfs fails with the same permissions issues you've noted.  The difference obviously being that on your rc6.git6.1 boot, /dev/fuse is already 666.  On mine, it's not.

[jwboyer@localhost ~]$ uname -a
Linux localhost.localdomain 3.0-0.rc6.git6.1.fc16.x86_64 #1 SMP Sun Jul 10 16:00:07 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
[jwboyer@localhost ~]$ ls -l /dev/fuse 
crw-------. 1 root root 10, 229 Jul 29 10:35 /dev/fuse
[jwboyer@localhost ~]$ 


So something during your boot is either loading the fuse module and causing udev to trigger, or something very weird is going on.  Could you please attach /var/log/messages from both a "good" and "bad" boot so I can compare.  On my f15 box, the fuse module doesn't get loaded until well into the boot, around 43 seconds.
Comment 17 Josh Boyer 2011-07-29 18:15:26 EDT
OK, from what I can tell this is a change in udev behavior.

I took an f16 instance, and reverted udev back to the first udev-170 build.  Then I rebuilt the initramfs for 3.0-0.rc7.git0.1.fc16.x86_64 and booted into it.  The fuse device was created with the 666 permissions, and the fuse module was not loaded which is the "correct" behavior.

I repeated those steps using the same kernel and rebuilding the initramfs every time for each build all with success until I hit udev-172-1.fc16.  With udev-172-1.fc16 in the initramfs, the /dev/fuse device was created with the 600 permissions.  The udev package is the only changed variable for this.

Given the build dates of udev-172-1.fc16 and 3.0-0.rc7.git0.1.fc16, it seems like you likely updated your box and udev-172-1 got sucked into the initramfs for the rc7 kernel.  The same is true for the rest of the kernel updates you did after udev-172 was installed.  Your rc6.git6 kernel will still have the old udev in the initramfs.

If you load the fuse module manual via modprobe, it generates a uevent and I'm guessing the rules that the fuse package provides kick in?

I have no idea at the moment why udev-172 changes the permissions it uses to create the device node initially, but at least I've narrowed it down to something not in the kernel.
Comment 18 Josh Boyer 2011-07-29 18:33:29 EDT
This might be related to this change:

http://git.kernel.org/?p=linux/hotplug/udev.git;a=commitdiff;h=c112873b5bc9ebbae39c32f502bc6211f33546cc

/lib/udev/rules.d/50-udev-default.rules has:

KERNEL=="fuse",                 MODE="0666", OPTIONS+="static_node=fuse", \
  RUN+="/bin/mount -t fusectl fusectl /sys/fs/fuse/connections"

which seems to say create a static /dev/fuse, but it doesn't provide a group with it and the change above seems to disallow that and default to 0600 now.

That's my guess.  Harald or Kay can confirm.
Comment 19 Tom London 2011-07-30 12:46:26 EDT
(In reply to comment #17)
> OK, from what I can tell this is a change in udev behavior.
> 
> I took an f16 instance, and reverted udev back to the first udev-170 build. 
> Then I rebuilt the initramfs for 3.0-0.rc7.git0.1.fc16.x86_64 and booted into
> it.  The fuse device was created with the 666 permissions, and the fuse module
> was not loaded which is the "correct" behavior.
> 
> I repeated those steps using the same kernel and rebuilding the initramfs every
> time for each build all with success until I hit udev-172-1.fc16.  With
> udev-172-1.fc16 in the initramfs, the /dev/fuse device was created with the 600
> permissions.  The udev package is the only changed variable for this.
> 
> Given the build dates of udev-172-1.fc16 and 3.0-0.rc7.git0.1.fc16, it seems
> like you likely updated your box and udev-172-1 got sucked into the initramfs
> for the rc7 kernel.  The same is true for the rest of the kernel updates you
> did after udev-172 was installed.  Your rc6.git6 kernel will still have the old
> udev in the initramfs.
> 
> If you load the fuse module manual via modprobe, it generates a uevent and I'm
> guessing the rules that the fuse package provides kick in?
> 
> I have no idea at the moment why udev-172 changes the permissions it uses to
> create the device node initially, but at least I've narrowed it down to
> something not in the kernel.

Yeah, I think you're right...  

Here is when I updated udev-171 to udev-172:
Jun 20 06:07:17 Updated: udev-171-2.fc16.x86_64
Jul 11 19:48:22 Updated: udev-172-1.fc16.x86_64

Here is when I installed various kernels:
Jul 10 12:37:40 Installed: kernel-3.0-0.rc6.git6.1.fc16.x86_64
Jul 13 06:14:36 Installed: kernel-3.0-0.rc7.git0.1.fc16.x86_64
Jul 16 09:10:25 Installed: kernel-3.0-0.rc7.git3.1.fc16.x86_64
Jul 23 09:03:20 Installed: kernel-3.0.0-1.fc16.x86_64

So kernel-3.0-0.rc6.git6.1.fc16.x86_64 was the last one installed with udev-171 in the initramfs.
Comment 20 Tom London 2011-07-30 14:27:09 EDT
Changing 50-udev-default.rules to:

KERNEL=="fuse",                 GROUP="fuse", MODE="0666", OPTIONS+="static_node=fuse", \
  RUN+="/bin/mount -t fusectl fusectl /sys/fs/fuse/connections"

"makes it work for me". [I added 'GROUP="fuse"']

Of course, I had previously created the "fuse" group.

Not sure this is the right fix....
Comment 21 Fedora Update System 2011-08-01 07:29:11 EDT
udev-173-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/udev-173-1.fc16
Comment 22 Tom London 2011-08-01 09:38:51 EDT
(In reply to comment #21)
> udev-173-1.fc16 has been submitted as an update for Fedora 16.
> https://admin.fedoraproject.org/updates/udev-173-1.fc16

This "fails to boot to gnome" for me.

Found the following in /var/log/message:

Aug  1 06:18:33 tlondon gdm-simple-slave[1205]: DEBUG(+): GdmWelcomeSession: De-registering session from ConsoleKit
Aug  1 06:18:33 tlondon console-kit-daemon[1295]: WARNING: Unable to open directory /usr/lib/ConsoleKit/run-seat.d: Error opening directory '/usr/lib/ConsoleKit/run-seat.d': No such file or directory
Aug  1 06:18:33 tlondon gdm-simple-slave[1205]: DEBUG(+): GdmWelcomeSession: Stopping D-Bus daemon
Comment 23 Tom London 2011-08-01 09:40:59 EDT
Also see this:

Aug  1 06:18:41 tlondon gnome-session[1469]: WARNING: Failed to start app: Unable to start application: Failed to execute child process "/opt/extra/libexec/gnome-fallback-mount-helper" (No such file or directory)
Aug  1 06:18:44 tlondon kernel: [   76.241101] metacity[1672]: segfault at f8da648 ip 0000000000458ca5 sp 00007fff8629da18 error 4 in metacity[400000+8a000]
Aug  1 06:18:44 tlondon gnome-session[1469]: WARNING: Application 'metacity.desktop' killed by signal
Aug  1 06:18:44 tlondon gnome-session[1469]: WARNING: App 'metacity.desktop' respawning too quickly
Aug  1 06:18:45 tlondon kernel: [   76.806620] metacity[1727]: segfault at 14bb3698 ip 0000000000458ca5 sp 00007fff219fa638 error 4 in metacity[400000+8a000]
Aug  1 06:18:45 tlondon gnome-session[1469]: WARNING: App 'metacity.desktop' respawning too quickly
Aug  1 06:18:45 tlondon gnome-session[1469]: WARNING: Application 'metacity.desktop' killed by signal
Aug  1 06:18:45 tlondon gnome-session[1469]: WARNING: App 'metacity.desktop' respawning too quickly
Comment 24 Tom London 2011-08-01 09:48:47 EDT
Here is a backtrace from metacity:

Core was generated by `metacity'.
Program terminated with signal 11, Segmentation fault.
#0  get_button (style=0x1b3c460, type=<optimized out>, state=<optimized out>)
    at ui/theme.c:4264
4264	      op_list = parent->buttons[type][state];
(gdb) set pagination off
(gdb) bt full
#0  get_button (style=0x1b3c460, type=<optimized out>, state=<optimized out>) at ui/theme.c:4264
        op_list = <optimized out>
        parent = 0x1b3c460
#1  0x000000000045ebcb in meta_frame_style_draw_with_style (style=0x1b3c460, style_gtk=0x1af66d0 [ClearlooksStyle], widget=0x1af5000 [MetaFrames], drawable=0x1af76d0 [GdkPixmap], x_offset=0, y_offset=0, clip=0x0, fgeom=0x7fff8629dbc0, client_width=640, client_height=264, title_layout=0x1b90170 [PangoLayout], text_height=21, button_states=0x7fff8629e0c0, mini_icon=0x1b8cb20 [GdkPixbuf], icon=0x1b8cad0 [GdkPixbuf]) at ui/theme.c:4624
        op_list = <optimized out>
        button_state = 29047864
        middle_bg_offset = <optimized out>
        rect = {x = 75, y = 2, width = 24, height = 24}
        combined_clip = {x = 75, y = 2, width = 24, height = 24}
        i = <optimized out>
        j = <optimized out>
        titlebar_rect = {x = 0, y = 0, width = 648, height = 28}
        left_titlebar_edge = {x = 0, y = 4, width = 4, height = 21}
        right_titlebar_edge = {x = 644, y = 4, width = 4, height = 21}
        bottom_titlebar_edge = {x = 0, y = 25, width = 648, height = 3}
        top_titlebar_edge = {x = 0, y = 0, width = 648, height = 4}
        left_edge = {x = 0, y = 28, width = 4, height = 264}
        right_edge = {x = 644, y = 28, width = 4, height = 264}
        bottom_edge = {x = 0, y = 292, width = 648, height = 4}
        extents = {x = 0, y = 0, width = 0, height = 21}
        draw_info = {mini_icon = 0x1b8cb20 [GdkPixbuf], icon = 0x1b8cad0 [GdkPixbuf], title_layout = 0x1b90170 [PangoLayout], title_layout_width = 0, title_layout_height = 21, fgeom = 0x7fff8629dbc0}
        __PRETTY_FUNCTION__ = "meta_frame_style_draw_with_style"
#2  0x000000000045fc0c in meta_theme_draw_frame_with_style (theme=<optimized out>, style_gtk=0x1af66d0 [ClearlooksStyle], widget=0x1af5000 [MetaFrames], drawable=0x1af76d0 [GdkPixmap], clip=0x0, x_offset=0, y_offset=0, type=META_FRAME_TYPE_DIALOG, flags=3139, client_width=640, client_height=264, title_layout=0x1b90170 [PangoLayout], text_height=21, button_layout=0x7fff8629e020, button_states=0x7fff8629e0c0, mini_icon=0x1b8cb20 [GdkPixbuf], icon=0x1b8cad0 [GdkPixbuf]) at ui/theme.c:5267
        fgeom = {left_width = 4, right_width = 4, top_height = 28, bottom_height = 4, width = 648, height = 296, title_rect = {x = 216, y = 4, width = 252, height = 21}, left_titlebar_edge = 4, right_titlebar_edge = 4, top_titlebar_edge = 4, bottom_titlebar_edge = 3, close_rect = {visible = {x = 0, y = 0, width = 0, height = 0}, clickable = {x = 0, y = 0, width = 0, height = 0}}, max_rect = {visible = {x = 0, y = 0, width = 0, height = 0}, clickable = {x = 0, y = 0, width = 0, height = 0}}, min_rect = {visible = {x = 0, y = 0, width = 0, height = 0}, clickable = {x = 0, y = 0, width = 0, height = 0}}, menu_rect = {visible = {x = 171, y = 2, width = 24, height = 24}, clickable = {x = 171, y = 2, width = 24, height = 24}}, shade_rect = {visible = {x = 0, y = 0, width = 0, height = 0}, clickable = {x = 0, y = 0, width = 0, height = 0}}, above_rect = {visible = {x = 0, y = 0, width = 0, height = 0}, clickable = {x = 0, y = 0, width = 0, height = 0}}, stick_rect = {visible = {x = 0, y = 0, width = 0, height = 0}, clickable = {x = 0, y = 0, width = 0, height = 0}}, unshade_rect = {visible = {x = 0, y = 0, width = 0, height = 0}, clickable = {x = 0, y = 0, width = 0, height = 0}}, unabove_rect = {visible = {x = 0, y = 0, width = 0, height = 0}, clickable = {x = 0, y = 0, width = 0, height = 0}}, unstick_rect = {visible = {x = 0, y = 0, width = 0, height = 0}, clickable = {x = 0, y = 0, width = 0, height = 0}}, left_left_background = {x = 5, y = 2, width = 24, height = 24}, left_middle_backgrounds = {{x = 49, y = 2, width = 24, height = 24}, {x = 75, y = 2, width = 24, height = 24}, {x = 119, y = 2, width = 24, height = 24}, {x = 145, y = 2, width = 24, height = 24}, {x = 0, y = 0, width = 0, height = 0}, {x = 0, y = 0, width = 0, height = 0}, {x = 0, y = 0, width = 0, height = 0}, {x = 0, y = 0, width = 0, height = 0}}, left_right_background = {x = 171, y = 2, width = 24, height = 24}, right_left_background = {x = 471, y = 2, width = 24, height = 24}, right_middle_backgrounds = {{x = 497, y = 2, width = 24, height = 24}, {x = 523, y = 2, width = 24, height = 24}, {x = 549, y = 2, width = 24, height = 24}, {x = 575, y = 2, width = 24, height = 24}, {x = 0, y = 0, width = 0, height = 0}, {x = 0, y = 0, width = 0, height = 0}, {x = 0, y = 0, width = 0, height = 0}, {x = 0, y = 0, width = 0, height = 0}}, right_right_background = {x = 601, y = 2, width = 24, height = 24}, button_layout = {left_buttons = {META_BUTTON_FUNCTION_MENU, META_BUTTON_FUNCTION_MENU, 2304418288, 61, META_BUTTON_FUNCTION_MENU, META_BUTTON_FUNCTION_MENU, 63, META_BUTTON_FUNCTION_MENU, 37, META_BUTTON_FUNCTION_MENU}, left_buttons_has_spacer = {37, 0, 1, 0, 4642680, 0, 0, 0, -1990549008, 61}, right_buttons = {META_BUTTON_FUNCTION_MENU, META_BUTTON_FUNCTION_MENU, 63, META_BUTTON_FUNCTION_MENU, META_BUTTON_FUNCTION_SHADE, META_BUTTON_FUNCTION_MENU, 28223664, META_BUTTON_FUNCTION_MENU, 4642680, META_BUTTON_FUNCTION_MENU}, right_buttons_has_spacer = {0, 0, 28223664, 0, 0, 0, 0, 0, 1927590915, 61}}, n_left_buttons = 6, n_right_buttons = 6, top_left_corner_rounded_radius = 5, top_right_corner_rounded_radius = 5, bottom_left_corner_rounded_radius = 0, bottom_right_corner_rounded_radius = 0}
        style = 0x1b3c460
        __PRETTY_FUNCTION__ = "meta_theme_draw_frame_with_style"
#3  0x000000000044b129 in meta_frames_paint_to_drawable (frames=<optimized out>, frame=<optimized out>, drawable=0x1af76d0 [GdkPixmap], region=<optimized out>, x_offset=0, y_offset=0) at ui/frames.c:2529
        widget = 0x1af5000 [MetaFrames]
        flags = 3139
        type = META_FRAME_TYPE_DIALOG
        mini_icon = 0x1b8cb20 [GdkPixbuf]
        icon = 0x1b8cad0 [GdkPixbuf]
        w = 640
        h = 264
        button_states = {META_BUTTON_STATE_NORMAL <repeats 16 times>}
        grab_frame = <optimized out>
        i = <optimized out>
        button_layout = {left_buttons = {META_BUTTON_FUNCTION_MENU, META_BUTTON_FUNCTION_MENU, 2304418288, 61, META_BUTTON_FUNCTION_MENU, META_BUTTON_FUNCTION_MENU, 63, META_BUTTON_FUNCTION_MENU, 37, META_BUTTON_FUNCTION_MENU}, left_buttons_has_spacer = {37, 0, 1, 0, 4642680, 0, 0, 0, -1990549008, 61}, right_buttons = {META_BUTTON_FUNCTION_MENU, META_BUTTON_FUNCTION_MENU, 63, META_BUTTON_FUNCTION_MENU, META_BUTTON_FUNCTION_SHADE, META_BUTTON_FUNCTION_MENU, 28223664, META_BUTTON_FUNCTION_MENU, 4642680, META_BUTTON_FUNCTION_MENU}, right_buttons_has_spacer = {0, 0, 28223664, 0, 0, 0, 0, 0, 1927590915, 61}}
        grab_op = <optimized out>
#4  0x000000000044ce70 in generate_pixmap (rect=<optimized out>, frame=0x1a98e90, frames=0x1af5000 [MetaFrames]) at ui/frames.c:2126
        rectangle = {x = 0, y = 0, width = 648, height = 28}
        region = <optimized out>
        result = 0x1af76d0 [GdkPixmap]
#5  populate_cache (frame=0x1a98e90, frames=0x1af5000 [MetaFrames]) at ui/frames.c:2199
        piece = 0x1b8ef60
        top = 28
        bottom = 4
        left = 4
        width = 640
        height = 264
        frame_width = 648
        right = 4
        frame_height = 296
        screen_width = 1680
        screen_height = 1050
        pixels = 0x1b8ef60
        frame_type = META_FRAME_TYPE_DIALOG
        frame_flags = 3139
#6  meta_frames_expose_event (widget=<optimized out>, event=0x7fff8629e7e0) at ui/frames.c:2307
        frame = 0x1a98e90
        frames = 0x1af5000 [MetaFrames]
        region = <optimized out>
        pixels = <optimized out>
#7  0x00000038ae74efd3 in _gtk_marshal_BOOLEAN__BOXED (closure=0x1ab9250, return_value=0x7fff8629e4a0, n_param_values=<optimized out>, param_values=0x1ad4b20, invocation_hint=<optimized out>, marshal_data=<optimized out>) at gtkmarshalers.c:86
        callback = 0x44c7c0 <meta_frames_expose_event>
        cc = 0x1ab9250
        data1 = 0x1af5000
        data2 = 0x1abbac0
        v_return = <optimized out>
        __PRETTY_FUNCTION__ = "_gtk_marshal_BOOLEAN__BOXED"
#8  0x0000003d7360e794 in g_closure_invoke (closure=0x1ab9250, return_value=0x7fff8629e4a0, n_param_values=2, param_values=0x1ad4b20, invocation_hint=<optimized out>) at gclosure.c:773
        marshal = 0x3d7360d030 <g_type_class_meta_marshal>
        marshal_data = <optimized out>
        in_marshal = <optimized out>
        __PRETTY_FUNCTION__ = "g_closure_invoke"
#9  0x0000003d73621881 in signal_emit_unlocked_R (node=<optimized out>, detail=0, instance=0x1af5000, emission_return=0x7fff8629e5e0, instance_and_params=0x1ad4b20) at gsignal.c:3309
        accumulator = 0x1ab9320
        emission = {next = 0x0, instance = 0x1af5000, ihint = {signal_id = 41, detail = 0, run_type = G_SIGNAL_RUN_LAST}, state = EMISSION_RUN, chain_type = 28243696}
        class_closure = 0x1ab9250
        hlist = 0x3d7311f7e0
        handler_list = 0x0
        return_accu = 0x7fff8629e4a0
        accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 41
        max_sequential_handler_number = 10
        return_value_altered = 0
#10 0x0000003d7362af26 in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=0x7fff8629e648) at gsignal.c:3012
        return_value = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        error = 0x0
        rtype = 20
        static_scope = 0
        instance_and_params = 0x1ad4b20
        signal_return_type = 20
        param_values = 0x1ad4b38
        node = 0x1ab92c0
        i = <optimized out>
        n_params = 1
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#11 0x0000003d7362b262 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3059
        var_args = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 0x7fff8629e720, reg_save_area = 0x7fff8629e660}}
#12 0x00000038ae884251 in gtk_widget_event_internal (widget=0x1af5000 [MetaFrames], event=0x7fff8629e7e0) at gtkwidget.c:4999
        signal_num = <optimized out>
        return_val = 0
#13 0x00000038ae74d187 in IA__gtk_main_do_event (event=0x7fff8629e7e0) at gtkmain.c:1620
        event_widget = 0x1af5000 [MetaFrames]
        grab_widget = 0x1af5000 [MetaFrames]
        window_group = 0x1b3b5a0 [GtkWindowGroup]
        rewritten_event = <optimized out>
        tmp_list = <optimized out>
        __PRETTY_FUNCTION__ = "IA__gtk_main_do_event"
#14 0x00000038ae245c54 in _gdk_window_process_updates_recurse (window=0x1a9b480 [GdkWindow], expose_region=0x1af7760) at gdkwindow.c:5429
        event = {type = GDK_EXPOSE, any = {type = GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000'}, expose = {type = GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', area = {x = 0, y = 0, width = 648, height = 296}, region = 0x1af7760, count = 0}, no_expose = {type = GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000'}, visibility = {type = GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', state = GDK_VISIBILITY_UNOBSCURED}, motion = {type = GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', time = 0, x = 1.3750532725454965e-311, y = 1.4624343116900898e-321, axes = 0x1af7760, state = 0, is_hint = 0, device = 0x1a9b480 [GdkWindow], x_root = 1.397038992301509e-316, y_root = 1.427816515269802e-316}, button = {type = GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', time = 0, x = 1.3750532725454965e-311, y = 1.4624343116900898e-321, axes = 0x1af7760, state = 0, button = 0, device = 0x1a9b480 [GdkWindow], x_root = 1.397038992301509e-316, y_root = 1.427816515269802e-316}, scroll = {type = GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', time = 0, x = 1.3750532725454965e-311, y = 1.4624343116900898e-321, state = 28276576, direction = GDK_SCROLL_UP, device = 0x0, x_root = 1.3783941405850104e-316, y_root = 1.397038992301509e-316}, key = {type = GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', time = 0, state = 0, keyval = 648, length = 296, string = 0x1af7760 "\001", hardware_keycode = 0, group = 0 '\000', is_modifier = 0}, crossing = {type = GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', subwindow = 0x28800000000, time = 296, x = 1.3970484783619092e-316, y = 0, x_root = 1.3783941405850104e-316, y_root = 1.397038992301509e-316, mode = 28899328, detail = GDK_NOTIFY_ANCESTOR, focus = 296, state = 0}, focus_change = {type = GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', in = 431}, configure = {type = GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', x = 0, y = 0, width = 648, height = 296}, property = {type = GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', atom = 0x28800000000, time = 296, state = 0}, selection = {type = GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', selection = 0x28800000000, target = 0x128, property = 0x1af7760, time = 0, requestor = 0}, owner_change = {type = GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', owner = 0, reason = GDK_OWNER_CHANGE_NEW_OWNER, selection = 0x128, time = 28276576, selection_time = 0}, proximity = {type = GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', time = 0, device = 0x28800000000}, client = {type = GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', message_type = 0x28800000000, data_format = 296, data = {b = "`w\257\001", '\000' <repeats 12 times>"\200, \264\251\001", s = {30560, 431, 0, 0, 0, 0, 0, 0, -19328, 425}, l = {28276576, 0, 27899008, 28276384, 28899328}}}, dnd = {type = GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', context = 0x28800000000, time = 296, x_root = 0, y_root = 0}, window_state = {type = GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', changed_mask = 0, new_window_state = 0}, setting = {type = GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', action = GDK_SETTING_ACTION_NEW, name = 0x28800000000 <Address 0x28800000000 out of bounds>}, grab_broken = {type = GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', keyboard = 0, implicit = 0, grab_window = 0x128}}
        private = 0x1a9b480 [GdkWindow]
        child = <optimized out>
        child_region = <optimized out>
        r = {x = 27869952, y = 0, width = 1927675053, height = 61}
        l = <optimized out>
        children = 0x0
#15 0x00000038ae240783 in gdk_window_process_updates_internal (window=0x1a9b480 [GdkWindow]) at gdkwindow.c:5588
        expose_region = 0x1af7760
        update_area = 0x1af76a0
        private = 0x1a9b480 [GdkWindow]
        impl_iface = <optimized out>
        save_region = 0
        clip_box = {x = 0, y = 0, width = 648, height = 296}
#16 0x00000038ae242ac1 in IA__gdk_window_process_all_updates () at gdkwindow.c:5696
        private = 0x1a9b480 [GdkWindow]
        old_update_windows = 0x1bad930 = {0x1a9b480}
        tmp_list = 0x1bad930 = {0x1a9b480}
        in_process_all_updates = 1
        got_recursive_update = 0
#17 0x00000038ae242b29 in gdk_window_update_idle (data=<optimized out>) at gdkwindow.c:5322
No locals.
#18 0x00000038ae21ea66 in gdk_threads_dispatch (data=0x1b8d040) at gdk.c:512
        dispatch = 0x1b8d040
        ret = 0
#19 0x0000003d72e446bd in g_main_dispatch (context=0x1a72cf0) at gmain.c:2500
        dispatch = 0x3d72e40370 <g_idle_dispatch>
        was_in_call = 0
        user_data = 0x1b8d040
        callback = 0x38ae21ea10 <gdk_threads_dispatch>
        cb_funcs = 0x3d7311f610
        cb_data = 0x1bad360
        current_source_link = {data = 0x1b8efd0, next = 0x0}
        need_destroy = <optimized out>
        source = 0x1b8efd0
        current = 0x1b13600
        i = <optimized out>
#20 g_main_context_dispatch (context=0x1a72cf0) at gmain.c:3083
No locals.
#21 0x0000003d72e44ea8 in g_main_context_iterate (context=0x1a72cf0, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3161
        max_priority = 120
        timeout = 0
        some_ready = 1
        nfds = 5
        allocated_nfds = <optimized out>
        fds = <optimized out>
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#22 0x0000003d72e453f5 in g_main_loop_run (loop=0x1a73170) at gmain.c:3369
        self = 0x1a650b0
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#23 0x0000000000410186 in main (argc=1, argv=0x7fff8629f0c8) at core/main.c:584
        act = {__sigaction_handler = {sa_handler = 0x42cc40 <sigterm_handler>, sa_sigaction = 0x42cc40 <sigterm_handler>}, sa_mask = {__val = {0 <repeats 16 times>}}, sa_flags = 0, sa_restorer = 0x7fff8629ed00}
        empty_mask = {__val = {0 <repeats 16 times>}}
        meta_args = {save_file = 0x0, display_name = 0x0, client_id = 0x1b0eb80 "\260\352A", replace_wm = <optimized out>, disable_sm = 0, print_version = <optimized out>, sync = <optimized out>, composite = <optimized out>, no_composite = <optimized out>, no_force_fullscreen = <optimized out>}
        log_domains = {0x0, 0x46cc8b "metacity", 0x46c0a0 "Gtk", 0x46c0a4 "Gdk", 0x46c0a8 "GLib", 0x46c0ad "Pango", 0x46c0b3 "GLib-GObject", 0x46c0c0 "GThread"}
        channel = <optimized out>
(gdb)
Comment 25 Harald Hoyer 2011-08-01 10:30:32 EDT
(In reply to comment #23)
> Also see this:
> 
> Aug  1 06:18:41 tlondon gnome-session[1469]: WARNING: Failed to start app:
> Unable to start application: Failed to execute child process
> "/opt/extra/libexec/gnome-fallback-mount-helper" (No such file or directory)


/opt/extra ???
Comment 26 Harald Hoyer 2011-08-01 10:32:52 EDT
(In reply to comment #24)
> Here is a backtrace from metacity:
> 
> Core was generated by `metacity'.
> Program terminated with signal 11, Segmentation fault.
> #0  get_button (style=0x1b3c460, type=<optimized out>, state=<optimized out>)
>     at ui/theme.c:4264
> 4264       op_list = parent->buttons[type][state];
> (gdb) set pagination off
> (gdb) bt full
> #0  get_button (style=0x1b3c460, type=<optimized out>, state=<optimized out>)
> at ui/theme.c:4264
>         op_list = <optimized out>
>         parent = 0x1b3c460
> #1  0x000000000045ebcb in meta_frame_style_draw_with_style (style=0x1b3c460,
> style_gtk=0x1af66d0 [ClearlooksStyle], widget=0x1af5000 [MetaFrames],
> drawable=0x1af76d0 [GdkPixmap], x_offset=0, y_offset=0, clip=0x0,
> fgeom=0x7fff8629dbc0, client_width=640, client_height=264,
> title_layout=0x1b90170 [PangoLayout], text_height=21,
> button_states=0x7fff8629e0c0, mini_icon=0x1b8cb20 [GdkPixbuf], icon=0x1b8cad0
> [GdkPixbuf]) at ui/theme.c:4624
>         op_list = <optimized out>
>         button_state = 29047864
>         middle_bg_offset = <optimized out>
>         rect = {x = 75, y = 2, width = 24, height = 24}
>         combined_clip = {x = 75, y = 2, width = 24, height = 24}
>         i = <optimized out>
>         j = <optimized out>
>         titlebar_rect = {x = 0, y = 0, width = 648, height = 28}
>         left_titlebar_edge = {x = 0, y = 4, width = 4, height = 21}
>         right_titlebar_edge = {x = 644, y = 4, width = 4, height = 21}
>         bottom_titlebar_edge = {x = 0, y = 25, width = 648, height = 3}
>         top_titlebar_edge = {x = 0, y = 0, width = 648, height = 4}
>         left_edge = {x = 0, y = 28, width = 4, height = 264}
>         right_edge = {x = 644, y = 28, width = 4, height = 264}
>         bottom_edge = {x = 0, y = 292, width = 648, height = 4}
>         extents = {x = 0, y = 0, width = 0, height = 21}
>         draw_info = {mini_icon = 0x1b8cb20 [GdkPixbuf], icon = 0x1b8cad0
> [GdkPixbuf], title_layout = 0x1b90170 [PangoLayout], title_layout_width = 0,
> title_layout_height = 21, fgeom = 0x7fff8629dbc0}
>         __PRETTY_FUNCTION__ = "meta_frame_style_draw_with_style"
> #2  0x000000000045fc0c in meta_theme_draw_frame_with_style (theme=<optimized
> out>, style_gtk=0x1af66d0 [ClearlooksStyle], widget=0x1af5000 [MetaFrames],
> drawable=0x1af76d0 [GdkPixmap], clip=0x0, x_offset=0, y_offset=0,
> type=META_FRAME_TYPE_DIALOG, flags=3139, client_width=640, client_height=264,
> title_layout=0x1b90170 [PangoLayout], text_height=21,
> button_layout=0x7fff8629e020, button_states=0x7fff8629e0c0, mini_icon=0x1b8cb20
> [GdkPixbuf], icon=0x1b8cad0 [GdkPixbuf]) at ui/theme.c:5267
>         fgeom = {left_width = 4, right_width = 4, top_height = 28,
> bottom_height = 4, width = 648, height = 296, title_rect = {x = 216, y = 4,
> width = 252, height = 21}, left_titlebar_edge = 4, right_titlebar_edge = 4,
> top_titlebar_edge = 4, bottom_titlebar_edge = 3, close_rect = {visible = {x =
> 0, y = 0, width = 0, height = 0}, clickable = {x = 0, y = 0, width = 0, height
> = 0}}, max_rect = {visible = {x = 0, y = 0, width = 0, height = 0}, clickable =
> {x = 0, y = 0, width = 0, height = 0}}, min_rect = {visible = {x = 0, y = 0,
> width = 0, height = 0}, clickable = {x = 0, y = 0, width = 0, height = 0}},
> menu_rect = {visible = {x = 171, y = 2, width = 24, height = 24}, clickable =
> {x = 171, y = 2, width = 24, height = 24}}, shade_rect = {visible = {x = 0, y =
> 0, width = 0, height = 0}, clickable = {x = 0, y = 0, width = 0, height = 0}},
> above_rect = {visible = {x = 0, y = 0, width = 0, height = 0}, clickable = {x =
> 0, y = 0, width = 0, height = 0}}, stick_rect = {visible = {x = 0, y = 0, width
> = 0, height = 0}, clickable = {x = 0, y = 0, width = 0, height = 0}},
> unshade_rect = {visible = {x = 0, y = 0, width = 0, height = 0}, clickable = {x
> = 0, y = 0, width = 0, height = 0}}, unabove_rect = {visible = {x = 0, y = 0,
> width = 0, height = 0}, clickable = {x = 0, y = 0, width = 0, height = 0}},
> unstick_rect = {visible = {x = 0, y = 0, width = 0, height = 0}, clickable = {x
> = 0, y = 0, width = 0, height = 0}}, left_left_background = {x = 5, y = 2,
> width = 24, height = 24}, left_middle_backgrounds = {{x = 49, y = 2, width =
> 24, height = 24}, {x = 75, y = 2, width = 24, height = 24}, {x = 119, y = 2,
> width = 24, height = 24}, {x = 145, y = 2, width = 24, height = 24}, {x = 0, y
> = 0, width = 0, height = 0}, {x = 0, y = 0, width = 0, height = 0}, {x = 0, y =
> 0, width = 0, height = 0}, {x = 0, y = 0, width = 0, height = 0}},
> left_right_background = {x = 171, y = 2, width = 24, height = 24},
> right_left_background = {x = 471, y = 2, width = 24, height = 24},
> right_middle_backgrounds = {{x = 497, y = 2, width = 24, height = 24}, {x =
> 523, y = 2, width = 24, height = 24}, {x = 549, y = 2, width = 24, height =
> 24}, {x = 575, y = 2, width = 24, height = 24}, {x = 0, y = 0, width = 0,
> height = 0}, {x = 0, y = 0, width = 0, height = 0}, {x = 0, y = 0, width = 0,
> height = 0}, {x = 0, y = 0, width = 0, height = 0}}, right_right_background =
> {x = 601, y = 2, width = 24, height = 24}, button_layout = {left_buttons =
> {META_BUTTON_FUNCTION_MENU, META_BUTTON_FUNCTION_MENU, 2304418288, 61,
> META_BUTTON_FUNCTION_MENU, META_BUTTON_FUNCTION_MENU, 63,
> META_BUTTON_FUNCTION_MENU, 37, META_BUTTON_FUNCTION_MENU},
> left_buttons_has_spacer = {37, 0, 1, 0, 4642680, 0, 0, 0, -1990549008, 61},
> right_buttons = {META_BUTTON_FUNCTION_MENU, META_BUTTON_FUNCTION_MENU, 63,
> META_BUTTON_FUNCTION_MENU, META_BUTTON_FUNCTION_SHADE,
> META_BUTTON_FUNCTION_MENU, 28223664, META_BUTTON_FUNCTION_MENU, 4642680,
> META_BUTTON_FUNCTION_MENU}, right_buttons_has_spacer = {0, 0, 28223664, 0, 0,
> 0, 0, 0, 1927590915, 61}}, n_left_buttons = 6, n_right_buttons = 6,
> top_left_corner_rounded_radius = 5, top_right_corner_rounded_radius = 5,
> bottom_left_corner_rounded_radius = 0, bottom_right_corner_rounded_radius = 0}
>         style = 0x1b3c460
>         __PRETTY_FUNCTION__ = "meta_theme_draw_frame_with_style"
> #3  0x000000000044b129 in meta_frames_paint_to_drawable (frames=<optimized
> out>, frame=<optimized out>, drawable=0x1af76d0 [GdkPixmap], region=<optimized
> out>, x_offset=0, y_offset=0) at ui/frames.c:2529
>         widget = 0x1af5000 [MetaFrames]
>         flags = 3139
>         type = META_FRAME_TYPE_DIALOG
>         mini_icon = 0x1b8cb20 [GdkPixbuf]
>         icon = 0x1b8cad0 [GdkPixbuf]
>         w = 640
>         h = 264
>         button_states = {META_BUTTON_STATE_NORMAL <repeats 16 times>}
>         grab_frame = <optimized out>
>         i = <optimized out>
>         button_layout = {left_buttons = {META_BUTTON_FUNCTION_MENU,
> META_BUTTON_FUNCTION_MENU, 2304418288, 61, META_BUTTON_FUNCTION_MENU,
> META_BUTTON_FUNCTION_MENU, 63, META_BUTTON_FUNCTION_MENU, 37,
> META_BUTTON_FUNCTION_MENU}, left_buttons_has_spacer = {37, 0, 1, 0, 4642680, 0,
> 0, 0, -1990549008, 61}, right_buttons = {META_BUTTON_FUNCTION_MENU,
> META_BUTTON_FUNCTION_MENU, 63, META_BUTTON_FUNCTION_MENU,
> META_BUTTON_FUNCTION_SHADE, META_BUTTON_FUNCTION_MENU, 28223664,
> META_BUTTON_FUNCTION_MENU, 4642680, META_BUTTON_FUNCTION_MENU},
> right_buttons_has_spacer = {0, 0, 28223664, 0, 0, 0, 0, 0, 1927590915, 61}}
>         grab_op = <optimized out>
> #4  0x000000000044ce70 in generate_pixmap (rect=<optimized out>,
> frame=0x1a98e90, frames=0x1af5000 [MetaFrames]) at ui/frames.c:2126
>         rectangle = {x = 0, y = 0, width = 648, height = 28}
>         region = <optimized out>
>         result = 0x1af76d0 [GdkPixmap]
> #5  populate_cache (frame=0x1a98e90, frames=0x1af5000 [MetaFrames]) at
> ui/frames.c:2199
>         piece = 0x1b8ef60
>         top = 28
>         bottom = 4
>         left = 4
>         width = 640
>         height = 264
>         frame_width = 648
>         right = 4
>         frame_height = 296
>         screen_width = 1680
>         screen_height = 1050
>         pixels = 0x1b8ef60
>         frame_type = META_FRAME_TYPE_DIALOG
>         frame_flags = 3139
> #6  meta_frames_expose_event (widget=<optimized out>, event=0x7fff8629e7e0) at
> ui/frames.c:2307
>         frame = 0x1a98e90
>         frames = 0x1af5000 [MetaFrames]
>         region = <optimized out>
>         pixels = <optimized out>
> #7  0x00000038ae74efd3 in _gtk_marshal_BOOLEAN__BOXED (closure=0x1ab9250,
> return_value=0x7fff8629e4a0, n_param_values=<optimized out>,
> param_values=0x1ad4b20, invocation_hint=<optimized out>,
> marshal_data=<optimized out>) at gtkmarshalers.c:86
>         callback = 0x44c7c0 <meta_frames_expose_event>
>         cc = 0x1ab9250
>         data1 = 0x1af5000
>         data2 = 0x1abbac0
>         v_return = <optimized out>
>         __PRETTY_FUNCTION__ = "_gtk_marshal_BOOLEAN__BOXED"
> #8  0x0000003d7360e794 in g_closure_invoke (closure=0x1ab9250,
> return_value=0x7fff8629e4a0, n_param_values=2, param_values=0x1ad4b20,
> invocation_hint=<optimized out>) at gclosure.c:773
>         marshal = 0x3d7360d030 <g_type_class_meta_marshal>
>         marshal_data = <optimized out>
>         in_marshal = <optimized out>
>         __PRETTY_FUNCTION__ = "g_closure_invoke"
> #9  0x0000003d73621881 in signal_emit_unlocked_R (node=<optimized out>,
> detail=0, instance=0x1af5000, emission_return=0x7fff8629e5e0,
> instance_and_params=0x1ad4b20) at gsignal.c:3309
>         accumulator = 0x1ab9320
>         emission = {next = 0x0, instance = 0x1af5000, ihint = {signal_id = 41,
> detail = 0, run_type = G_SIGNAL_RUN_LAST}, state = EMISSION_RUN, chain_type =
> 28243696}
>         class_closure = 0x1ab9250
>         hlist = 0x3d7311f7e0
>         handler_list = 0x0
>         return_accu = 0x7fff8629e4a0
>         accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0,
> v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer =
> 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 =
> 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
>         signal_id = 41
>         max_sequential_handler_number = 10
>         return_value_altered = 0
> #10 0x0000003d7362af26 in g_signal_emit_valist (instance=<optimized out>,
> signal_id=<optimized out>, detail=<optimized out>, var_args=0x7fff8629e648) at
> gsignal.c:3012
>         return_value = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long =
> 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer
> = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64
> = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
>         error = 0x0
>         rtype = 20
>         static_scope = 0
>         instance_and_params = 0x1ad4b20
>         signal_return_type = 20
>         param_values = 0x1ad4b38
>         node = 0x1ab92c0
>         i = <optimized out>
>         n_params = 1
>         __PRETTY_FUNCTION__ = "g_signal_emit_valist"
> #11 0x0000003d7362b262 in g_signal_emit (instance=<optimized out>,
> signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3059
>         var_args = {{gp_offset = 32, fp_offset = 48, overflow_arg_area =
> 0x7fff8629e720, reg_save_area = 0x7fff8629e660}}
> #12 0x00000038ae884251 in gtk_widget_event_internal (widget=0x1af5000
> [MetaFrames], event=0x7fff8629e7e0) at gtkwidget.c:4999
>         signal_num = <optimized out>
>         return_val = 0
> #13 0x00000038ae74d187 in IA__gtk_main_do_event (event=0x7fff8629e7e0) at
> gtkmain.c:1620
>         event_widget = 0x1af5000 [MetaFrames]
>         grab_widget = 0x1af5000 [MetaFrames]
>         window_group = 0x1b3b5a0 [GtkWindowGroup]
>         rewritten_event = <optimized out>
>         tmp_list = <optimized out>
>         __PRETTY_FUNCTION__ = "IA__gtk_main_do_event"
> #14 0x00000038ae245c54 in _gdk_window_process_updates_recurse (window=0x1a9b480
> [GdkWindow], expose_region=0x1af7760) at gdkwindow.c:5429
>         event = {type = GDK_EXPOSE, any = {type = GDK_EXPOSE, window =
> 0x1a9b480 [GdkWindow], send_event = 0 '\000'}, expose = {type = GDK_EXPOSE,
> window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', area = {x = 0, y = 0,
> width = 648, height = 296}, region = 0x1af7760, count = 0}, no_expose = {type =
> GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000'}, visibility
> = {type = GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000',
> state = GDK_VISIBILITY_UNOBSCURED}, motion = {type = GDK_EXPOSE, window =
> 0x1a9b480 [GdkWindow], send_event = 0 '\000', time = 0, x =
> 1.3750532725454965e-311, y = 1.4624343116900898e-321, axes = 0x1af7760, state =
> 0, is_hint = 0, device = 0x1a9b480 [GdkWindow], x_root =
> 1.397038992301509e-316, y_root = 1.427816515269802e-316}, button = {type =
> GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', time = 0, x
> = 1.3750532725454965e-311, y = 1.4624343116900898e-321, axes = 0x1af7760, state
> = 0, button = 0, device = 0x1a9b480 [GdkWindow], x_root =
> 1.397038992301509e-316, y_root = 1.427816515269802e-316}, scroll = {type =
> GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', time = 0, x
> = 1.3750532725454965e-311, y = 1.4624343116900898e-321, state = 28276576,
> direction = GDK_SCROLL_UP, device = 0x0, x_root = 1.3783941405850104e-316,
> y_root = 1.397038992301509e-316}, key = {type = GDK_EXPOSE, window = 0x1a9b480
> [GdkWindow], send_event = 0 '\000', time = 0, state = 0, keyval = 648, length =
> 296, string = 0x1af7760 "\001", hardware_keycode = 0, group = 0 '\000',
> is_modifier = 0}, crossing = {type = GDK_EXPOSE, window = 0x1a9b480
> [GdkWindow], send_event = 0 '\000', subwindow = 0x28800000000, time = 296, x =
> 1.3970484783619092e-316, y = 0, x_root = 1.3783941405850104e-316, y_root =
> 1.397038992301509e-316, mode = 28899328, detail = GDK_NOTIFY_ANCESTOR, focus =
> 296, state = 0}, focus_change = {type = GDK_EXPOSE, window = 0x1a9b480
> [GdkWindow], send_event = 0 '\000', in = 431}, configure = {type = GDK_EXPOSE,
> window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', x = 0, y = 0, width =
> 648, height = 296}, property = {type = GDK_EXPOSE, window = 0x1a9b480
> [GdkWindow], send_event = 0 '\000', atom = 0x28800000000, time = 296, state =
> 0}, selection = {type = GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event
> = 0 '\000', selection = 0x28800000000, target = 0x128, property = 0x1af7760,
> time = 0, requestor = 0}, owner_change = {type = GDK_EXPOSE, window = 0x1a9b480
> [GdkWindow], send_event = 0 '\000', owner = 0, reason =
> GDK_OWNER_CHANGE_NEW_OWNER, selection = 0x128, time = 28276576, selection_time
> = 0}, proximity = {type = GDK_EXPOSE, window = 0x1a9b480 [GdkWindow],
> send_event = 0 '\000', time = 0, device = 0x28800000000}, client = {type =
> GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', message_type
> = 0x28800000000, data_format = 296, data = {b = "`w\257\001", '\000' <repeats
> 12 times>"\200, \264\251\001", s = {30560, 431, 0, 0, 0, 0, 0, 0, -19328, 425},
> l = {28276576, 0, 27899008, 28276384, 28899328}}}, dnd = {type = GDK_EXPOSE,
> window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', context = 0x28800000000,
> time = 296, x_root = 0, y_root = 0}, window_state = {type = GDK_EXPOSE, window
> = 0x1a9b480 [GdkWindow], send_event = 0 '\000', changed_mask = 0,
> new_window_state = 0}, setting = {type = GDK_EXPOSE, window = 0x1a9b480
> [GdkWindow], send_event = 0 '\000', action = GDK_SETTING_ACTION_NEW, name =
> 0x28800000000 <Address 0x28800000000 out of bounds>}, grab_broken = {type =
> GDK_EXPOSE, window = 0x1a9b480 [GdkWindow], send_event = 0 '\000', keyboard =
> 0, implicit = 0, grab_window = 0x128}}
>         private = 0x1a9b480 [GdkWindow]
>         child = <optimized out>
>         child_region = <optimized out>
>         r = {x = 27869952, y = 0, width = 1927675053, height = 61}
>         l = <optimized out>
>         children = 0x0
> #15 0x00000038ae240783 in gdk_window_process_updates_internal (window=0x1a9b480
> [GdkWindow]) at gdkwindow.c:5588
>         expose_region = 0x1af7760
>         update_area = 0x1af76a0
>         private = 0x1a9b480 [GdkWindow]
>         impl_iface = <optimized out>
>         save_region = 0
>         clip_box = {x = 0, y = 0, width = 648, height = 296}
> #16 0x00000038ae242ac1 in IA__gdk_window_process_all_updates () at
> gdkwindow.c:5696
>         private = 0x1a9b480 [GdkWindow]
>         old_update_windows = 0x1bad930 = {0x1a9b480}
>         tmp_list = 0x1bad930 = {0x1a9b480}
>         in_process_all_updates = 1
>         got_recursive_update = 0
> #17 0x00000038ae242b29 in gdk_window_update_idle (data=<optimized out>) at
> gdkwindow.c:5322
> No locals.
> #18 0x00000038ae21ea66 in gdk_threads_dispatch (data=0x1b8d040) at gdk.c:512
>         dispatch = 0x1b8d040
>         ret = 0
> #19 0x0000003d72e446bd in g_main_dispatch (context=0x1a72cf0) at gmain.c:2500
>         dispatch = 0x3d72e40370 <g_idle_dispatch>
>         was_in_call = 0
>         user_data = 0x1b8d040
>         callback = 0x38ae21ea10 <gdk_threads_dispatch>
>         cb_funcs = 0x3d7311f610
>         cb_data = 0x1bad360
>         current_source_link = {data = 0x1b8efd0, next = 0x0}
>         need_destroy = <optimized out>
>         source = 0x1b8efd0
>         current = 0x1b13600
>         i = <optimized out>
> #20 g_main_context_dispatch (context=0x1a72cf0) at gmain.c:3083
> No locals.
> #21 0x0000003d72e44ea8 in g_main_context_iterate (context=0x1a72cf0,
> block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3161
>         max_priority = 120
>         timeout = 0
>         some_ready = 1
>         nfds = 5
>         allocated_nfds = <optimized out>
>         fds = <optimized out>
>         __PRETTY_FUNCTION__ = "g_main_context_iterate"
> #22 0x0000003d72e453f5 in g_main_loop_run (loop=0x1a73170) at gmain.c:3369
>         self = 0x1a650b0
>         __PRETTY_FUNCTION__ = "g_main_loop_run"
> #23 0x0000000000410186 in main (argc=1, argv=0x7fff8629f0c8) at core/main.c:584
>         act = {__sigaction_handler = {sa_handler = 0x42cc40 <sigterm_handler>,
> sa_sigaction = 0x42cc40 <sigterm_handler>}, sa_mask = {__val = {0 <repeats 16
> times>}}, sa_flags = 0, sa_restorer = 0x7fff8629ed00}
>         empty_mask = {__val = {0 <repeats 16 times>}}
>         meta_args = {save_file = 0x0, display_name = 0x0, client_id = 0x1b0eb80
> "\260\352A", replace_wm = <optimized out>, disable_sm = 0, print_version =
> <optimized out>, sync = <optimized out>, composite = <optimized out>,
> no_composite = <optimized out>, no_force_fullscreen = <optimized out>}
>         log_domains = {0x0, 0x46cc8b "metacity", 0x46c0a0 "Gtk", 0x46c0a4
> "Gdk", 0x46c0a8 "GLib", 0x46c0ad "Pango", 0x46c0b3 "GLib-GObject", 0x46c0c0
> "GThread"}
>         channel = <optimized out>
> (gdb)


are you sure this is related to the udev update?
Comment 27 Tom London 2011-08-01 12:35:51 EDT
Well, if I downgrade the *udev* packages and reboot, appears all is working: I no longer get the 'black screen of confusion', etc.

I didn't explicitly check the logs, etc.

What I did was 1.) download the -173-1.fc16 packages. 2) 'yum localupdate'. 3) reboot.  That had the failure described above.

I then logged in as root via 'alt-ctrl-F2', ran 'yum downgrade ....', and rebooted.  Gnome was happy.
Comment 28 Fedora Update System 2011-08-01 23:47:24 EDT
Package udev-173-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing udev-173-1.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/udev-173-1.fc16
then log in and leave karma (feedback).
Comment 29 Tom London 2011-08-02 09:50:37 EDT
udev-173-1.fc16 (or .fc17) fails for me as described above ('black screen after logging in to gnome).

But after this morning's rawhide/koji updates and downgrading back to udev-172-2.fc16, gnome boots fine, and fuse seems to be working again.....

Here is what I see in dmesg:

[root@tlondon systemd]# dmesg | grep fuse
[   71.362336] fuse init (API version 7.16)
[   71.391936] SELinux: initialized (dev fusectl, type fusectl), uses genfs_contexts
[   71.445615] SELinux: initialized (dev fuse, type fuse), uses genfs_contexts
[root@tlondon systemd]#

Here are versions of some packages I've currently installed:

kernel-3.1.0-0.rc0.git15.1.fc17.x86_64
udev-172-2.fc16.x86_64
systemd-32-1.fc17.x86_64

Not sure what else I could have updated that would affect this....

Now I'm confused.....
Comment 30 Josh Boyer 2011-08-02 09:56:19 EDT
(In reply to comment #29)
> udev-173-1.fc16 (or .fc17) fails for me as described above ('black screen after
> logging in to gnome).
> 
> But after this morning's rawhide/koji updates and downgrading back to
> udev-172-2.fc16, gnome boots fine, and fuse seems to be working again.....

What version of udev is in the initramfs that you booted with?  You should see a "udev[XXX]: starting version XXX" style message in dmesg.
Comment 31 Tom London 2011-08-02 10:07:50 EDT
Believe 173 is in the initramfs...

[root@tlondon audit]# dmesg | grep udev
[    5.477847] udevd[119]: starting version 173
[   16.950682] udevd[425]: starting version 172
[   19.545512] udevd[511]: error opening ATTR{/sys/devices/pci0000:00/0000:00:1a.1/usb4/4-1/4-1:1.0/power/level} for writing: No such file or directory
[   22.341200] udev-configure-printer[803]: add /devices/pci0000:00/0000:00:1a.7/usb1/1-5/1-5.4/1-5.4.2/1-5.4.2:1.0
[   22.343549] udev-configure-printer[803]: device devpath is /devices/pci0000:00/0000:00:1a.7/usb1/1-5/1-5.4/1-5.4.2
[   22.344489] udev-configure-printer[803]: Device vendor/product is 067B:2305
[   22.584594] udev-configure-printer[810]: add /devices/pci0000:00/0000:00:1a.7/usb1/1-5/1-5.4/1-5.4.2/1-5.4.2:1.0/usb/lp0
[   22.586244] udev-configure-printer[810]: device devpath is /devices/pci0000:00/0000:00:1a.7/usb1/1-5/1-5.4/1-5.4.2
[root@tlondon audit]#

Hmm... Let me make sure I tried with 173 both in the initramfs and installed (and that I didn't uninstall it before rebooting.
Comment 32 Tom London 2011-08-02 10:19:02 EDT
OK. Tried (and failed).

So here are the combinations:

172 in initramfs: fuse gets mode 600
173 in initramfs/installed: gnome-shell appears to fail (I get logged in to 'fall back gnome' session that craps out on first window action).
173 in initramfs/172 installed: gnome-shell works, fuse gets mode 666
Comment 33 Kay Sievers 2011-08-02 14:58:24 EDT
Oops, looks like systemd-logind needs a fix.

If you switch to a getty with Alt-F2, log in as root, and do:
  chmod 0777 /dev/dri/card0
all works as expected, right?
Comment 34 Kay Sievers 2011-08-02 14:59:21 EDT
Hmm, forgot to add: then switch back to gdm login and log in as the
normal user. :)
Comment 35 Tom London 2011-08-02 16:16:54 EDT
Just to be clear: (When I get home in about 5 hours), I'll update to udev-173, reboot, and from the gdm-greeter screen, do the Alt-F2 thing above, return to gdm-greeter screen, and attempt to login a normal user.

Please correct if I got that wrong.
Comment 36 Kay Sievers 2011-08-02 16:39:55 EDT
Yes, right.

I suspect this, I'm not entirely sure though:

The system should boot normal up to the GDM login screen. As soon as
the GDM login screen tries to start the user session after entering
the password, the /dev/dri/card0 device node can not be accessed
properly as the user that logs in, and the login session fails in weird
ways, like with the fallback mode or a black screen.

Before you try to login in GDM, switch to a text console (Alt-F2), log
in as root, do the chmod, then go back to the GDM login and log in as
the normal user.

If that works, it's a permissions problem for the graphics
card, and we need to fix systemd-logind to properly add the
'access control list' entry to the device node for the user that logs
in.

This was all done by ConsoleKit+udev on older systems, but is now handled
by systemd in a better way, but it's new code, so it might need some minor
fixes.

Thanks!
Comment 37 Kay Sievers 2011-08-02 19:43:31 EDT
Issue confirmed, not need to test now. We need to patch GDM, it's
out-of-sync with the ACL application to the device node. Thanks!
Comment 38 Kay Sievers 2011-08-03 09:46:22 EDT
Gdm fixed. Seems all fine now.

The gdm session that asks for the login wasn't properly set up for the new
world.

New ticket with udev, systemd, gdm:
  https://admin.fedoraproject.org/updates/udev-173-1.fc16,gdm-3.1.2-4.fc16,systemd-33-1.fc16
Comment 39 Tom London 2011-08-07 13:12:05 EDT
This now 'works for me' per above.

Closing.